<script setup lang="ts">
import { ref, onMounted, type Ref } from 'vue';

const icons = ['mdi-facebook', 'mdi-twitter', 'mdi-linkedin', 'mdi-instagram']

const loading = ref(true)
const variants = ['elevated', 'flat', 'tonal', 'outlined']
  const color = ref('indigo')

 </script>

<template>
  <div>
    <v-parallax height="650" src="\src\assets\mainmenu\banner2.png">
      <div class="d-flex flex-column fill-height justify-center align-center text-white">
        <h4 style="color: #dca784" class="subheading">
          ROASTED WITH LOVE
        </h4>
        <h1 style="font-size: 100px">COFFEE IS OUR CRAFT</h1>
        <br />
        <h1><login-btn></login-btn></h1>
      </div>
    </v-parallax>



    <v-row style="margin-top: 80px">
        <v-col Align="center" style="color: #b89769">What Happens Here</v-col>
      </v-row>
      <v-row>
        <v-col Align="center" style="color: black; font-size: 50px">COFFEE BUILD YOUR BASE.</v-col>
      </v-row>
      <v-row>
        <v-col Align="center" style="color: #b89769">________________________________________________</v-col>
      </v-row>

      <v-lazy
  :min-height="500"
  :options="{'threshold':0.5}"
  transition="fade-transition"
> 
    <div class="fill-height" style="padding: 100px; display: flex; flex-wrap: wrap">
  <div style="margin-left: 290px">
    <div style="display: flex; align-items: center;">
      <h1 class="heading" style="margin-right: 20px;">Coffee maker</h1>
      <v-img :width="80" src="\src\assets\member\icon1.png"></v-img>
    </div>
    <div style="display: flex; align-items: center; margin-top: 90px;">
      <h1 style="margin-right: 20px;">Coffee grinder</h1>
      <v-img :width="80" src="\src\assets\member\icon2.png"></v-img>
    </div>
    <div style="display: flex; align-items: center; margin-top: 110px;">
      <h1 style="margin-right: 20px;">Making coffee</h1>
      <v-img :width="80" src="\src\assets\member\icon3.png"></v-img>
    </div>
  </div>
  <div style="margin-left: 60px">
    <v-img :width="400" class="mx-auto"
      src="\src\assets\member\coffee.jpg"
      cover
    ></v-img>
  </div>
  <div style="margin-left: 40px">
    <div style="display: flex; align-items: center;">
      <v-img :width="80" src="\src\assets\member\icon7.png"></v-img>
      <h1 style="margin-left: 20px;">Pancake</h1>
    </div>
    <div style="display: flex; align-items: center; margin-top: 70px;">
      <v-img :width="80" src="\src\assets\member\icon5.png"></v-img>
      <h1 style="margin-left: 20px;">Bread</h1>
    </div>
    <div style="display: flex; align-items: center; margin-top: 70px;">
      <v-img :width="90" src="\src\assets\member\icon6.png"></v-img>
      <h1 style="margin-left: 20px;">Croissant</h1>
    </div>
  </div>
</div>
</v-lazy>



    <div style="margin-top: 40px">
      <v-parallax height="650" src="\src\assets\member\coffeebg.png">
      <div class="d-flex flex-column fill-height justify-center align-center text-white">
        <h1  style="font-size: 50px">We’re located in the historic Broad Street Market</h1>
        <h1 style="font-size: 50px">and on North Street in Harrisburg, Pennsylvania.</h1>
        <br />
        <h1><login-btn></login-btn></h1>
      </div>
    </v-parallax>
    <div>

      <h1  Align="center" style="font-size: 50px; margin-top: 110px">We offer more than just coffee</h1>
      <h4 Align="center" style="margin-top: 35px">Whether you're starting up your own shop, looking to upgrade your current office brew-system, or simply </h4>
      <h4 Align="center">desiring a draft coffee tricycle to roll into your next event, we got you! We also offer tutorials, demonstrations,</h4>
      <h4 Align="center">training, consulting, coffee cuppings, guest speaking, and most anything else of your coffee dreams.</h4> 
      
</div>


<div class="fill-height text-white" style="display: flex;">
  <div style="margin-left: 450px; margin-top: 90px;">
    <v-hover v-slot="{ isHovering, props }">
      <v-card
        
        color="grey-lighten-4"
        max-width="500"
        v-bind="props"
      >
        <v-img
          :aspect-ratio="16/9"
          src="\src\assets\mainmenu\coffee.gif"
          cover
        >
          <v-expand-transition>
            <div
              v-if="isHovering"
              class="d-flex transition-fast-in-fast-out bg-orange-darken-2 v-card--reveal text-h2"
              style="height: 100%;"
            >
              With Skill
            </div>
          </v-expand-transition>
        </v-img>

        <v-card-text class="pt-6">
          <div class="font-weight-light text-grey text-h6 mb-2">
            For the perfect coffee
          </div>

          <h3 class="text-h4 font-weight-light text-orange mb-2">
            Make coffee with care
          </h3>

          <div class="font-weight-light text-h6 mb-2">
            Made with skill and attention to make a<br>
            every step and every detail.
          </div>
        </v-card-text>
      </v-card>
    </v-hover>
    </div>
    <div style="margin-left: 200px; margin-top: 90px;">
    <v-hover v-slot="{ isHovering, props }">
      <v-card

        color="grey-lighten-4"
        max-width="600"
        v-bind="props"
      >
        <v-img
          :aspect-ratio="16/9"
          src="\src\assets\mainmenu\barista.jpg"
          cover
        >
          <v-expand-transition>
            <div
              v-if="isHovering"
              class="d-flex transition-fast-in-fast-out bg-orange-darken-2 v-card--reveal text-h2"
              style="height: 100%;"
            >
              With Heart
            </div>
          </v-expand-transition>
        </v-img>

        <v-card-text class="pt-6">
          <div class="font-weight-light text-grey text-h6 mb-2">
            For the perfect service
          </div>

          <h3 class="text-h4 font-weight-light text-orange mb-2">
            Service-minded attitude
          </h3>

          <div class="font-weight-light text-h6 mb-2">
            All employees serve with love and<br>
            always smile to customers.
          </div>
        </v-card-text>
      </v-card>
    </v-hover>
  </div>
  </div>  

  <v-lazy
  :min-height="600"
  :options="{'threshold':0.5}"
  transition="fade-transition"
>
  <div style="margin-top: 200px;" class="container" >
  <div class="square">
    <v-img
          :aspect-ratio="16/9"
          src="\src\assets\member\member1.jpg"
          cover
    ></v-img>
  </div>
  <div class="square">
    <v-img
          :aspect-ratio="16/9"
          src="\src\assets\member\member2.jpg"
          cover
  ></v-img></div>
  <div class="square"><v-img
          :aspect-ratio="16/9"
          src="\src\assets\member\member3.jpg"
          cover
  ></v-img></div>
  <div class="square"><v-img
          :aspect-ratio="16/9"
          src="\src\assets\member\member4.jpg"
          cover
></v-img></div>
  <div class="square"><v-img
          :aspect-ratio="16/9"
          src="\src\assets\member\member5.jpg"
          cover
  ></v-img></div>
</div>
</v-lazy>
<br /><br /><br /><br /><br />  






    </div>
    <div style="background-color: #eae7de">
      <v-parallax height="500" src="\src\assets\Login\image3.png">
        <div class="fill-height text-white" style="padding: 75px; display: flex; flex-wrap: wrap">
          <div style="margin-right: 300px">
            <h4 style="font-size: 20px">OPENING HOURS</h4>
            <p class="subheading" style="margin-top: 50px; font-size: 15px">
              MONDAY____________9:00-19:00
            </p>
            <p class="subheading" style="margin-top: 30px; font-size: 15px">
              TUESDAY____________CLOSED
            </p>
            <p class="subheading" style="margin-top: 30px; font-size: 15px">
              WEDNESDAY_________9:00-19:00
            </p>
            <p class="subheading" style="margin-top: 30px; font-size: 15px">
              THURSDAY___________9:00-19:00
            </p>
            <p class="subheading" style="margin-top: 30px; font-size: 15px">
              FRIDAY______________9:00-21:00
            </p>
            <p class="subheading" style="margin-top: 30px; font-size: 15px">
              SATURDAY__________9:00-21:00
            </p>
            <p class="subheading" style="margin-top: 30px; font-size: 15px">
              SUNDAY_____________9:00-21:00
            </p>
          </div>
          <div style="margin-right: 300px">
            <h4 style="font-size: 20px">CONTACT US</h4>
            <p class="subheading" style="margin-top: 50px">D_Coffee@gmail.com</p>
            <p class="subheading" style="margin-top: 10px">095 332 5290</p>
          </div>
          <div style="margin-right: 250px">
            <h4 style="font-size: 20px">LOCATION</h4>
            <p class="subheading" style="margin-top: 50px">Faculty of Allied Health Sciences</p>
            <p class="subheading" style="margin-top: 10px">Burapha University</p>
            <p class="subheading" style="margin-top: 10px">Chon Buri</p>
            <p class="subheading" style="margin-top: 10px">Thailand</p>
            <p class="subheading" style="margin-top: 10px">20131</p>
          </div>
          <div>
            <h4 style="font-size: 20px">Website Help Center</h4>
            <p class="subheading" style="margin-top: 50px">K.Pon</p>
            <p class="subheading" style="margin-top: 10px">Tel 098 526 1242</p>
            <p class="subheading" style="margin-top: 10px">K.Yo</p>
            <p class="subheading" style="margin-top: 10px">Tel 091 256 6031</p>
          </div>
        </div>
      </v-parallax>
    </div>
  </div>
  <v-footer class="bg-grey-darken-4 text-center d-flex flex-column">
    <div>
      <v-btn v-for="icon in icons" :key="icon" class="mx-4" :icon="icon" variant="text"></v-btn>
    </div>
  </v-footer>


</template>



<style>
body {
  font-family: 'Crimson Text';
}

.v-card--reveal {
    align-items: center;
    bottom: 0;
    justify-content: center;
    opacity: .9;
    position: absolute;
    width: 100%;
  }

  .container {
    display: grid;
    grid-template-columns: 800px 600px 500px;
    grid-template-rows: 280px auto;
    gap: 10px;
    
}

.square {
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 8px;
  background-color: white;
  margin-right: 10px;
  transition-property: box-shadow, transform;
  transition-duration: 350ms;
  transition-timing-function: ease;

  box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.24);
}

.square:is(:hover, :focus) {
  box-shadow: 0px 8px 10px 1px rgba(0, 0, 0, 0.2);
  transform: translateY(-8px);
}





</style>
